package com.muyu.cloud.pay.domain.req;

import com.muyu.common.core.validation.custom.IsSystemYesNo;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.*;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.pay.domain.req
 * @Project：cloud-pay
 * @name：CustomerListReq
 * @Date：2024/8/9 16:49
 */
@Tag(name = "客户列表请求对象")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CustomerListReq {
    /**
     * 服务/客户名称
     */
    @Schema(name = "服务/客户名称",type = "String",description = "客户名称. 为微服务中文名称")
    private String appName;
    /**
     * 服务/客户编码
     */
    @Schema(name = "服务/客户编码",type = "String",description = "客户名称. 为微服务名称")
    private String appCode;
    /**
     * 状态 - sys_yes_no
     */
    @Schema(name = "是否开启",type = "String",description = "客户状态，Y是开启，N是关闭")
    @IsSystemYesNo
    private String status;
}
